from conans import ConanFile, CMake

class Cxx17(ConanFile):
    settings = 'os', 'compiler', 'build_type', 'arch'
    generators = 'cmake', 'txt'
    requires = (
        'fmt/latest@signal9/stable',
        'Catch/latest@signal9/stable',
        'range-v3/latest@signal9/stable',
        'gsl/2016-01-04@anonymouz/stable',
    )
    build_type = 'Debug'

    def build(self):
        cmake = CMake(self, generator='Ninja')
        cmake.configure()
        cmake.build()
